<?php

add_action('init','of_options');
define('Options_Name', 'تنظیمات پوسته');

if (!function_exists('of_options')) {
function of_options(){


	$shortname = "my_theme";
	$themename = 'قالب من';

//Populate the options array
global $tt_options;
$tt_options = get_option('of_options');

$tt_pages = array();
$tt_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($tt_pages_obj as $tt_page) {
	$tt_pages[$tt_page->ID] = $tt_page->post_title; 
}
$select_a_page = array("select_a_page" => "برگه ای را انتخاب کنید:");
$wp_pages = $select_a_page + $tt_pages;


$tt_posts = array();
$tt_posts_obj = get_posts('numberposts=30');    
foreach ($tt_posts_obj as $tt_post) {
	$tt_posts[$tt_post->ID] = $tt_post->post_title; 
}
$select_a_post = array("select_a_post" => "نوشته ای را انتخاب کنید:");
$wp_posts = $select_a_post + $tt_posts;

$tt_categories = array();  
$tt_categories_obj = get_categories('hide_empty=0');
foreach ($tt_categories_obj as $tt_cat) {
	$tt_categories[$tt_cat->cat_ID] = $tt_cat->cat_name;
}
$select_a_cat = array('selec_a_category'=>'دسته ای را انتخاب کنید:');
$wp_categories = $select_a_cat + $tt_categories;


//Folder Paths for "type" => "images"
$sampleurl =  get_template_directory_uri() . '/admin/images/sample-layouts/';
$options = array(); // این خط را حذف نکنید

//================================================ setting

$options[] = array( 
	"name" => 'تنظیمات عمومی',
	"type" => "heading",
	"slug" => 'ie_setting'
);

$options[] = array(
	"name" => 'لوگو',
	"desc" => '319 × 421 px',
	"id" => "ie_logo_hero",
	"std" => get_template_directory_uri().'/images/header_symbol.png',
	"type" => "image_upload"
);

$options[] = array( 
	"name" => 'فاوآیکون',
	"desc" => 'از این قسمت می توانید آیکون سایت خود را آپلود نمایید ، این آیکون می تواند با فرمت png یا gif و یا فرمت رایج آیکون یعنی ico باشد .',
	"id" => "ie_favicon",
	"std" => get_template_directory_uri().'/images/footer_block.png',
	"type" => "image_upload"
);

$options[] = array( 
	"name" => 'کلمات کلیدی',
	"desc" => "برای جداسازی از ( , ) در حالت صفحه کلید انگلیسی استفاده کنید",
	"id" => "ie_keyword",
	"std" => "ارکید, پوسته وردپرس ارکید, فروشگاه ایران اینترنت",
	"type" => "textarea"
);

$options[] = array( 
	"name" => 'انتخاب دسته بندی اسکرولر',
	"desc" => 'میخواهید مطالب کدام دسته بندی در اسکرولر نشان داده شود',
	"id" => "ie_scroller_id",
	"std" => "1",
	"type" => "select",
	"options" => $wp_categories
);

$options[] = array( 
	"name" => 'آیکون ابزارک ها',
	"desc" => '54×56 px',
	"id" => "ie_widget_icon",
	"std" => get_template_directory_uri().'/images/topic-icon.png',
	"type" => "image_upload"
);

$options[] = array( 
	"name" => 'فعال یا غیر فعال کردن ابزارک های پانوشت',
	"desc" => 'فعال بودن این گزینه به منزله نمایش ابزارک های پانوشت می باشد .',
	"id" => "ie_footer_widget_check",
	"std" => "true",
	"type" => "checkbox",
);

$options[] = array( 
	"name" => 'لینک معتبر سازی HTML',
	"desc" => 'لینک را اینجا وارد کنید',
	"id" => "ie_html_valid",
	"std" => "",
	"type" => "text",
);

$options[] = array( 
	"name" => 'لینک معتبر سازی CSS',
	"desc" => 'لینک را اینجا وارد کنید',
	"id" => "ie_css_valid",
	"std" => "",
	"type" => "text",
);

//================================================ about

$options[] = array( 
	"name" => 'حلقه دلخواه',
	"type" => "heading",
	"slug" => 'ie_custom_loop'
);

$options[] = array( 
	"name" => 'فعال یا غیر فعال کردن',
	"desc" => 'فعال بودن این گزینه به منزله نمایش بلوک حلقه دلخواه می باشد .',
	"id" => "ie_custom_loop_check",
	"std" => "true",
	"type" => "checkbox",
);

$options[] = array( 
	"name" => 'انتخاب دسته بندی حلقه',
	"desc" => 'میخواهید مطالب کدام دسته بندی در حلقه دلخواه شما نشان داده شود',
	"id" => "ie_custom_loop_id",
	"std" => "1",
	"type" => "select",
	"options" => $wp_categories
);

$options[] = array( 
	"name" => "عنوان حلقه دلخواه",
	"desc" => "عنوان بلوک حلقه دلخواه",
	"id" => "ie_custom_loop_title",
	"std" => "ایران اینترنت",
	"type" => "text"
);

$options[] = array( 
	"name" => 'آیکون بلوک',
	"desc" => '54×56 px',
	"id" => "ie_custom_loop_icon",
	"std" => get_template_directory_uri().'/images/rss-icon.png',
	"type" => "image_upload"
);

//==================================================== ads

$options[] = array( 
	"name" => 'مدیریت تبلیغات',
	"type" => "heading",
	"slug" => 'ie_ads_manage'
);

$options[] = array( 
	"name" => 'فعال یا غیر فعال کردن بلوک تبلیغات',
	"desc" => 'فعال بودن این گزینه به منزله نمایش بلوک تبلیغات در وسط صفحه است .',
	"id" => "ie_ads_box",
	"std" => "true",
	"type" => "checkbox",
);

$options[] = array( 
	"name" => 'بنر اول',
	"desc" => '468*60 px',
	"id" => "ie_ads_one",
	"std" => get_template_directory_uri().'/images/banner-468-60-px.jpg',
	"type" => "image_upload"
);

$options[] = array( 
	"name" => 'لینک بنر اول',
	"desc" => 'مثال',
	"id" => "ie_ads_one_lnk",
	"std" => "http://www.20script.ir",
	"type" => "text"
);

$options[] = array( 
	"name" => 'عنوان بنر اول',
	"desc" => 'alt و title',
	"id" => "ie_ads_one_title",
	"std" => "فروشگاه ایران اینترنت",
	"type" => "text"
);

$options[] = array( 
	"name" => 'بنر دوم',
	"desc" => '468*60 px',
	"id" => "ie_ads_two",
	"std" => get_template_directory_uri().'/images/banner-468-60-px.jpg',
	"type" => "image_upload"
);

$options[] = array( 
	"name" => 'لینک بنر دوم',
	"desc" => 'مثال',
	"id" => "ie_ads_two_lnk",
	"std" => "http://www.20script.ir",
	"type" => "text"
);

$options[] = array( 
	"name" => 'عنوان بنر دوم',
	"desc" => 'alt و title',
	"id" => "ie_ads_two_title",
	"std" => "فروشگاه ایران اینترنت",
	"type" => "text"
);

//================================================ about

$options[] = array( 
	"name" => 'درباره ما',
	"type" => "heading",
	"slug" => 'ie_about_temp'
);

$options[] = array( 
	"name" => 'فعال یا غیر فعال کردن بلوک درباره ما',
	"desc" => 'برای عدم نمایش بلوک درباره ما تیک را بردارید',
	"id" => "ie_about_check",
	"std" => "true",
	"type" => "checkbox",
);



$options[] = array( 
	"name" => "عنوان درباره ما",
	"desc" => "عنوان بلوک درباره ما",
	"id" => "ie_about_title",
	"std" => "مختصری درباره ایران اینترنت",
	"type" => "text"
);

$options[] = array( 
	"name" => 'متن درباه ما',
	"desc" => "متن بلوک درباره ما",
	"id" => "ie_about_text",
	"std" => "
 تیم طراحی و برنامه نویسی ایران اینترنت که زیر مجموعه گروه طراحی و برنامه نویسی کافه وب می باشد کار و فعالیت خود را در زمینه ارائه مجموعه قالب های وردپرس و همچنین طراحی وبسایتهای تخصصی داینامیک و استاتیک در شهر تجاری فرهنگی بانه شروع کرد تا بتواند به مردم  خدمت رسانی کند و با سابقه ای درخشان در این زمینه گامی برای اشاعه فرهنگ استفاده از محصولات مجازی در چهارچوبی اصولی و استاندارد و همسو با قوانین جاری جمهوری اسلامی و پایبند به قانون کپی رایت ، برداشته و محصولاتی کاملا حرفه ای و کاربردی به کاربران و علاقمندان به این عرصه ، تقدیم نماید .<br>
       سامانه ی پیش رو کاری است  از گروه طراحی و برنامه نویسی کافه وب  که برای فروش و دانلود آنلاین مجموعه قالب های وردپرس طراحی و بارگذاری شده است که کاربران گرامی به راحتی از طریق درگاه پرداخت آنلاین این فایلها را خریداری نموده و به راحتی استفاده نمایند. برای بیان هر گونه انتقاد و پیشنهاد از طریق منوی تماس با ما ارتباط بر قرار نموده و یا سفارشات خود را ابلاغ نمایید.
",
	"type" => "textarea"
);


//================================================ about tab
$options[] = array( 
	"name" => 'درباره ایران اینترنت',
	"type" => "heading",
	"slug" => 'ie_about'
);


$options[] = array( 
	"name" => 'تیم طراحی و برنامه نویسی ایران اینترنت',
	"desc" => "",
	"id" => "ie_info",
	"std" => "
	<p>

تیم طراحی و برنامه نویسی ایران اینترنت که زیر مجموعه گروه طراحی و برنامه نویسی کافه وب می باشد کار و فعالیت خود را در زمینه ارائه مجموعه قالب های وردپرس و همچنین طراحی وبسایتهای تخصصی داینامیک و استاتیک در شهر تجاری فرهنگی بانه شروع کرد تا بتواند به مردم  خدمت رسانی کند و با سابقه ای درخشان در این زمینه گامی برای اشاعه فرهنگ استفاده از محصولات مجازی در چهارچوبی اصولی و استاندارد و همسو با قوانین جاری جمهوری اسلامی و پایبند به قانون کپی رایت ، برداشته و محصولاتی کاملا حرفه ای و کاربردی به کاربران و علاقمندان به این عرصه ، تقدیم نماید .
سامانه ی پیش رو کاری است  از گروه طراحی و برنامه نویسی کافه وب  که برای فروش و دانلود آنلاین مجموعه قالب های وردپرس طراحی و بارگذاری شده است که کاربران گرامی به راحتی از طریق درگاه پرداخت آنلاین این فایلها را خریداری نموده و به راحتی استفاده نمایند.
<br><br>
<span>
شماره پیام کوتاه : 30001223702386<br>
ایمیل روابط عمومی : info@20script.ir<br>
</span>
</p>

	",
	"type" => "info"
);



//////////////////////////////////////////         پایان تنظیمات       //////////////////////////////////////////////////


update_option('of_template',$options); 			  
update_option('of_themename',$themename);   
update_option('of_shortname',$shortname);
return $options;
}
}
?>