<?php

/*
 * HeRo template Setting Created by Iran Internet Design Team | www.20script.ir
 * This template Designed by HTML5 & Css3 and Customized for wordpress system
 * all of functions Checked and Licensed by IESQ license
*/
// Add support for Dynamic lists
function reg_menu() {
	register_nav_menus(
		array(
				'top-menu' => __( 'منوی بالا' ),
				'footer-menu' => __( 'منوی پانوشت' )
			)
	);
}
add_action( 'init', 'reg_menu' );
// Include theme files
require_once(TEMPLATEPATH . '/admin/admin-functions.php');
require_once(TEMPLATEPATH . '/admin/admin-interface.php');
require_once(TEMPLATEPATH . '/admin/theme-settings.php');
include ( 'metabox.php' );
require_once('class-tgm-plugin-activation.php');
include ( 'getplugins.php' );

// Add Support for Featured images
if (function_exists('add_theme_support')) {
    add_theme_support('post-thumbnails');
}
// Add Support for widgets
if ( function_exists('register_sidebar') ) {
    register_sidebar(array(
		'name' => 'stats',
      'before_widget' => '',
        'after_widget' => '',
        'before_title' => '',
        'after_title' => ''    
    ));
}
if ( function_exists('register_sidebar') ) {
    register_sidebar(array(
		'name' => 'sidebar',
      'before_widget' => '<div class="block">',
        'after_widget' => '</div></div>',
        'before_title' => '<div class="block_title"><div class="block_icon"><img src="' .get_option('ie_widget_icon'). '" alt="widget" title="widget"></div><h3>',
        'after_title' => '</h3></div><div class="block_content">'    
    ));
}
if ( function_exists('register_sidebar') ) {
    register_sidebar(array(
		'name' => 'footer',
      'before_widget' => '<div class="footer_block">',
        'after_widget' => '</div></div>',
        'before_title' => '<div class="footer_block_title"><h3>',
        'after_title' => '</h3></div><div class="footer_block_content">'    
    ));
}

// Add Support for pagenavi
function wp_corenavi() {
  global $wp_query, $wp_rewrite;
  $pages = '';
  $max = $wp_query->max_num_pages;
  if (!$current = get_query_var('paged')) $current = 1;
  $a['base'] = str_replace(999999999, '%#%', get_pagenum_link(999999999));
  $a['total'] = $max;
  $a['current'] = $current;
  
  $total = 1; //1 - display the text "Page N of N", 0 - not display
  $a['mid_size'] = 3; //how many links to show on the left and right of the current
  $a['end_size'] = 1; //how many links to show in the beginning and end
  $a['prev_text'] = 'جدیدتر ها'; //text of the "Previous page" link
  $a['next_text'] = 'قدیمی تر ها'; //text of the "Next page" link
  
  if ($max > 1) echo '<div class="pagenavi">';
  if ($total == 1 && $max > 1) $pages = '<span class="pages">صفحه ' . $current . ' از ' . $max . '</span>'."\r\n";
  echo $pages . paginate_links($a);
  if ($max > 1) echo '</div>';
}

// Hide wp Generator
remove_action('wp_head', 'wp_generator');

// disable image caption
function caption_off() {
    return true;
}
add_filter( 'disable_captions', 'caption_off' );

// remove pages from search results
//Remove pages from search results
function mySearchFilter($query) {
if ($query->is_search) {
$query->set('post_type', 'post');
}
return $query;
}
add_filter('pre_get_posts','mySearchFilter');


function my_menu_notitle( $menu ){
return $menu = preg_replace('/ title=\"(.*?)\"/', '', $menu );
}
add_filter( 'wp_nav_menu', 'my_menu_notitle' );
add_filter( 'wp_page_menu', 'my_menu_notitle' );
add_filter( 'wp_list_categories', 'my_menu_notitle' );


?>